@charset "UTF-8";
/* ------------------------------------------
front-page
------------------------------------------ */
/* --------------------
mainvisual
 -------------------- */
.mainvisual {
  padding: 2rem 1rem;
  place-items: center;
  background-image: url("../img/FV.png");
  background-repeat: no-repeat;
  background-size: cover;
  height: auto;
  .image {
    img {
      width: 300px;
    }
  }
}
.catchphrase {
  font-size: var(--title-h1);
  font-weight: bold;
  margin-bottom: var(--space-s);
}
.sub-copy {
  font-weight: bold;
  margin-bottom: var(--space-s);
}
/* ---------------
モニター募集
----------------- */
.campaign {
  padding: 10px;
  border: 15px solid #fff;
  background: repeating-linear-gradient(
    45deg,
    #b1e5f6 0,
    #b1e5f6 6px,
    #fff 6px,
    #fff 12px
  );
  .frame {
    background: #fff;
    padding: clamp(1rem, 0.385rem + 3.08vw, 3rem);
  }
}
/* ---------------------
imanuWEBの特徴
-----------------------*/
.features {
  .item {
    box-shadow: -1px 2px 5px 3px rgb(236, 235, 235);
    padding: 2rem 1rem;
    text-align: center;
  }
  & p {
    margin-bottom: var(--space-s);
  }
  & img {
    width: 70%;
  }
}
/* -----------------
サービス紹介
-------------------*/
.service {
  .item {
    background-color: #fff;
    text-align: left;
  }

  .price {
    text-align: right;
    font-weight: bold;
    font-size: var(--title-h3);
    margin-bottom: var(--space-xs);
    & span {
      font-size: var(--title-h6);
    }
  }
  .list li::after {
    content: url("../img/Check-circle.png");
    display: inline-block;
  }
  .list li {
    display: flex;
    justify-content: space-between;
    border-bottom: 1px solid lightgray;
    line-height: var(--line-height-l);
  }
  .chara-red {
    font-size: var(--text-l);
  }
}
/* ------------------------
制作実績のセクション 
-------------------------*/
.achievements {
  .item {
    text-align: left;
    padding: 0;
  }
  .item-title {
    margin-bottom: 0;
  }
  .image {
    border: 3px solid var(--color-sub-blue);
    overflow: hidden;
    & img {
      /* 後にclamp()でうまくやれ */
      height: 260px;
      vertical-align: bottom;
    }
  }
  .grid3 img:hover {
    scale: 1.05;
    transition: 0.3s;
  }
  .tag {
    display: flex;
    gap: 5px;
  }
  .tag li {
    background-color: dimgray;
    color: var(--color-white);
    padding: 2px 8px;
    border-radius: 50px;
    font-size: var(--text-xs);
  }
}
/* -------------------------
制作の大まかな流れのセクション 
---------------------------*/
.flow {
  .item {
    background-color: #fff;
    text-align: center;
  }
}
.number {
  background-color: var(--color-sub-red);
  display: grid;
  border-radius: 50px;
  width: 40px;
  height: 40px;
  place-items: center;
  color: #fff;
  font-size: 1.4rem;
  margin: 0 auto var(--space-xxs) auto;
}
/*-----------------------------
よくあるご質問のセクション
----------------------------- */
.faq {
  .item {
    background-color: #fff;
    padding: var(--space-s);
    align-self: start;
    padding: var(--space-xs);
    text-align: left;
  }
  .item:hover {
    outline: 3px solid var(--color-accent);
  }
  .summary {
    margin-bottom: var(--space-xs);
  }
  .ans {
    color: orangered;
    font-weight: bold;
  }
  .quest {
    color: var(--color-main);
    font-weight: bold;
  }
}
/* --------------------------
お問い合わせのセクション(loop)
-----------------------------*/
.contact.bg {
  padding: var(--space-xl) var(--space-s);
}
.contact {
  background-color: var(--color-main);
  .wrapper {
    background-color: #fff;
    padding: var(--space-s) 4%;
  }
  .title {
    margin-bottom: var(--space-m);
  }
  .text .image {
    width: 70%;
    display: none; /* スマホ時はイラスト非表示 */
    margin: var(--space-xs) auto;
  }
  .marker {
    background: linear-gradient(transparent 60%, #ff6 60%);
  }
  .info {
    text-align: center;
    .button {
      margin-top: 0;
    }
    .button a {
      padding: var(--space-xs);
      border-radius: var(--radius-s);
    }
    .image + p {
      font-size: var(--text-xs);
    }
    .image {
      margin-top: var(--space-xxs);
    }
    .image img:hover {
      opacity: 0.5;
    }
    .line {
      margin-bottom: 2rem;
    }
  }
  .email-address {
    font-size: var(--text-l);
    font-weight: bold;
    display: inline-block;
    border-bottom: 2px solid dimgray;
  }
}
/* ------------------------------------------
page-service
------------------------------------------ */
#page-service {
  .intro {
    text-align: left;
  }
  fieldset {
    border: 5px dashed #fde5b8;
    & legend {
      font-size: var(--title-h2);
      padding: 0 var(--space-xxs);
    }
  }
  & section .item {
    background-color: #fff;
    text-align: left;
    padding-top: var(--space-s);
    border-radius: var(--radius-m);
  }
  .item-title {
    margin-bottom: var(--space-xxs);
    font-size: var(--title-h2);
  }
  .price {
    text-align: right;
    font-weight: bold;
    font-size: var(--title-h2);
  }
  .explanation {
    border: 2px dashed var(--color-main);
    padding: var(--space-xxs);
    margin-bottom: var(--space-xs);
  }
  .explanation li::before {
    content: "▪ ";
    color: var(--color-main);
  }
}
.service-detail {
  & dl {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    margin-bottom: var(--space-m);
  }
  & dt,
  & dd {
    border-bottom: 1px dashed var(--color-accent);
    line-height: var(--line-height-l);
  }
  & dt {
    width: 70%;
  }
  & dd {
    width: 30%;
    text-align: right;
  }
  & li::before {
    content: "-　";
  }
  & li {
    margin-left: var(--space-xs);
  }
  & ul li:last-of-type {
    margin-bottom: var(--space-s);
  }
  .chara-orange {
    margin-bottom: var(--space-xxs);
  }
}
.check-mark::before {
  content: "✓ ";
  color: var(--color-accent);
  font-weight: bold;
}
.check-mark {
  margin-bottom: var(--space-xxs);
}
.detail-title {
  font-size: var(--title-h2);
  font-weight: normal;
}

.MEO .item-title {
  position: relative;
}
.MEO .item-title::after {
  content: "  準備中のサービスです";
  color: var(--color-sub-red);
  font-size: var(--title-h2);
  position: absolute;
  top: -3rem;
  left: 0;
  animation: blinking 2s infinite;
}
@keyframes blinking {
  0% {
    opacity: 0;
  }
  70% {
    opacity: 0.5;
  }
  100% {
    opacity: 1;
  }
}
.why-do-that.bg {
  background-color: #589ab6;
}
.why-do-that::before {
  content: "WHY DO THAT?";
  font-size: clamp(2.5rem, 1.731rem + 3.85vw, 5rem);
  -webkit-text-stroke: 1px #fff;
  color: #589ab6;
}
.why-do-that {
  .wrapper {
    background-color: #fff;
  }
  .chara-orange {
    margin-bottom: var(--space-xs);
  }
}
/* ------------------------------------------
page-flow
------------------------------------------ */
#page-flow {
  .item {
    background-color: #fff;
    border-bottom: 8px dashed var(--color-base);
    & ul {
      list-style-type: square;
      list-style-position: inside;
      margin: var(--space-xxs);
    }
  }
  .number {
    margin: var(--space-xxs) 0;
  }
  .flex {
    align-items: center;
    gap: var(--space-xxs);
  }
  .diagram {
    width: 50px;
    height: 35px;
    font-weight: normal;
    font-size: 1rem;
  }

  .sub-title {
    text-align: left;
    margin-bottom: var(--space-xs);
    font-weight: bold;
  }

  .link {
    color: var(--color-main);
    border-bottom: 2px solid var(--color-main);
  }
  .link:hover {
    color: dimgray;
    border-bottom: 2px dashed dimgray;
  }
  & fieldset {
    border: 2px solid lightgray;
    margin: var(--space-s) 0;
    & legend {
      font-weight: bold;
    }
    & li {
      list-style: decimal;
      margin: var(--space-xs);
    }
  }
}
#page-flow .item:last-of-type {
  border-bottom: none;
}
.contact-loop {
  background-color: var(--color-main);
}
/* ---------------------------
archive(実績一覧）
-----------------------------*/
#archive {
  .image {
    background-color: #fff;
  }
  .list img {
    height: clamp(14.375rem, 13.99rem + 1.92vw, 15.625rem);
    vertical-align: bottom;
  }
  .item-title {
    margin: 5px 0 3px;
  }
  .flex {
    gap: 5px;
  }
  .tag {
    width: fit-content;
    font-size: 0.8rem;
    color: #fff;
    background-color: dimgray;
    border-radius: 50px;
    padding: 2px 10px;
  }
  & img {
    transition: 0.4s;
  }
  .list .item:hover img {
    scale: 1.1;
  }
}
/* ---------------------------
home(コラム一覧）
-----------------------------*/
#home {
  .item {
    background-color: #fff;
    margin-bottom: var(--space-xs);
    & span {
      margin: 0 0 0 auto;
    }
  }
  .item p:last-of-type {
    text-align: right;
  }
  .list .item:hover {
    background-color: #fbecd2;
  }
  .read-more,
  .item {
    transition: 0.4s;
  }
  .item:hover .read-more {
    margin-right: -8px;
  }
}
/* ---------------------------
page-contact（お問い合わせ）
-----------------------------*/

#page-contact {
  /* Contact Form 7のレスポンスメッセージを表示しない */
  .wpcf7-response-output {
    display: none !important;
  }
  & h1 {
    margin-bottom: var(--space-xs);
  }
  .intro {
    margin-bottom: 4rem;
  }
  .item {
    padding: 0;
    margin-bottom: var(--space-s);
  }
  .wpcf7 input {
    width: 100%;
    padding: 1rem;
    border: 1px solid #333;
    font-size: 1rem;
  }
  .wpcf7 input[type="radio"] {
    margin-bottom: clamp(0.5rem, 1vw, 2rem);
    /* アクセシビリティのためにいるやつ */
    width: 1rem;
    height: 1rem;
    vertical-align: -0.2em;
    outline: 1px solid transparent;
  }
  .wpcf7 input[type="radio"]:focus {
    outline: 2px solid #333;
  }
  .wpcf7 input[type="checkbox"] {
    width: 1rem;
    height: 1rem;
    vertical-align: -0.2em;
  }
  .wpcf7 textarea {
    width: 100%;
    height: 8rem;
    padding: 1rem;
    border: 1px solid #333;
    margin-bottom: 3rem;
    font-size: 1rem;
  }

  .wpcf7 input[type="submit"] {
    color: #fff;
    background-color: var(--color-sub-blue);
    cursor: pointer;
    border-radius: 10px;
    box-shadow: 1px 3px 3px dimgray;
    transition: 0.3s;
  }
  .wpcf7 input[type="submit"]:focus,
  .wpcf7 input[type="submit"]:hover {
    background-color: #fff;
    color: var(--color-sub-blue);
    border: 1px solid var(--color-sub-blue);
  }
  .label {
    margin-bottom: 0.5rem;
  }

  .required,
  .any {
    background-color: var(--color-sub-red);
    font-size: 0.9rem;
    color: #fff;
    padding: 0 0.5rem;
    margin-left: 1rem;
  }
  .any {
    background-color: #6e6c6c;
  }

  .button {
    background-color: transparent;
    width: 100%;
  }
  .consent {
    font-weight: normal;
    font-size: 0.9rem;
    color: orangered;
  }
}
.privacy {
  color: blue;
  cursor: pointer;
}
#page-contact2 {
  .wpcf7 input[type="submit"] {
    border-radius: 0;
  }
}
#contact-section {
  .wpcf7 textarea {
    margin-bottom: 1rem;
  }
}

/* ---------------------------
gbpmonitor（Googleビジネスプロフィールモニター募集ぺージ）
-----------------------------*/
#page-gbp {
  .intro {
    padding-bottom: var(--space-m);
  }
  .section-title {
    font-size: var(--title-h2);
    font-weight: bold;
    border-left: 8px solid var(--color-accent);
    border-bottom: 1px solid var(--color-accent);
    padding-left: var(--space-xxs);
    margin-bottom: var(--space-s);
  }
  & section {
    margin: var(--space-m) auto;
  }
  & figure img {
    border: 1px solid lightgray;
    border-radius: var(--radius-s);
    padding: var(--space-xxs);
  }
  & p {
    margin-bottom: var(--space-s);
  }
  .list {
    list-style: inside;
    margin-bottom: var(--space-xs);
  }
  .order-list {
    list-style: decimal inside;
    margin-bottom: var(--space-xs);
  }
}
/* ---------------------------
page.php
-----------------------------*/
#page {
  & h2 {
    border-left: 8px solid var(--color-accent);
    border-bottom: 1px solid var(--color-accent);
    padding-left: var(--space-xs);
    margin-bottom: var(--space-xxs);
  }
  p {
    margin-bottom: var(--space-s);
  }
  p:has(a) {
    margin-bottom: 0;
  }
}
/* --------------------------------------
single.php（コラムの詳細ページ）
----------------------------------------*/
body #single {
  font-weight: normal;
}
#single::before {
  content: "COLUMN";
  position: absolute;
  top: 125px;
  right: 0;
  font-size: clamp(3.125rem, 0.817rem + 11.54vw, 10.625rem);
  font-family: "Montserrat", sans-serif;
  font-weight: 700;
  color: #eaf9ff;
  z-index: -1;
}
#single {
  .title {
    text-align: left;
    position: relative;
    & span {
      border-bottom: 5px dotted var(--color-main);
    }
  }
  .inner {
    margin-bottom: var(--space-m);
  }

  & p {
    margin-bottom: var(--space-xs);
  }
  & p:has(a) {
    margin-bottom: 0;
  }
  & h2 {
    border-left: 5px solid var(--color-accent);
    border-bottom: 1px solid var(--color-accent);
    margin: var(--space-s) 0 var(--space-xs);
    padding-left: var(--space-xxs);
  }
  & h3 {
    margin: var(--space-s) 0 var(--space-xs);
  }
  & ul {
    margin-bottom: var(--space-xxs);
  }
  /* 引用のパーツ------------------- */
  blockquote {
    position: relative;
    padding: 30px 15px 8px 15px;
    box-sizing: border-box;
    font-style: italic;
    background: #efefef;
    color: #555;
  }
  blockquote:before {
    display: inline-block;
    position: absolute;
    top: -10px;
    left: -25px;
    content: "“";
    font-family: sans-serif;
    color: #cfcfcf;
    font-size: 90px;
    line-height: 1;
  }
  blockquote:after {
    display: inline-block;
    position: absolute;
    bottom: -40px;
    right: 0;
    content: "”";
    font-family: sans-serif;
    color: #cfcfcf;
    font-size: 90px;
    line-height: 1;
  }
  /* エディタ、追加CSSのclass ---------*/
  .list-mark {
    list-style-type: disc;
    list-style-position: inside;
  }
  .item {
    border: 3px dashed var(--color-accent);
    margin-bottom: var(--space-xs);
  }
  .group {
    background-color: var(--color-base);
    padding: var(--space-xs);
    margin-bottom: var(--space-xs);
  }
  figure {
    border: 1px solid lightgray;
    padding: var(--text-xs);
  }
}
/* ---------------------------
page-template.php
-----------------------------*/
#page-template {
  & p {
    margin-bottom: var(--space-xs);
  }
  .caption {
    margin-bottom: var(--space-xxs);
  }
  .item {
    background-color: #fff;
    margin-bottom: var(--space-m);
  }
  .item-title {
    display: inline-block;
    border-bottom: 2px solid var(--color-accent);
    font-size: var(--title-h2);
  }
  .description {
    margin-bottom: var(--space-s);
  }
  .text {
    & dt {
      font-size: var(--title-h3);
      font-weight: bold;
    }
    & dd {
      padding: var(--space-xxs) var(--space-xs) var(--space-xs);
    }
  }

  .template-image {
    .item-title {
      border-bottom: none;
    }
    .item {
      background-color: var(--color-base);
      margin-bottom: var(--space-xs);
      padding-bottom: 0;
    }
    .image {
      background-color: #fff;
      border: 3px solid var(--color-main);
      height: 300px;
      text-align: center;
      overflow-y: scroll;
    }
  }
  .demo-site,
  .template-image {
    .chara-red {
      font-size: var(--title-h2);
      margin-bottom: var(--space-xs);
      & span {
        font-size: 0.7em;
      }
    }
    .item {
      border: 5px dashed var(--color-base);
    }
    .grid {
      align-items: baseline;
    }
  }
  .sub-title {
    background-color: var(--color-accent);
    color: #fff;
    padding: 0 var(--space-xs);
    margin-bottom: var(--space-xs);
  }
  .sub-title::before {
    content: "";
  }
  .chara-orange {
    margin-bottom: var(--space-xs);
  }
}
#template-netlify {
  .item {
    margin-bottom: 0;
  }
  .item-netlify {
    width: fit-content;
    border: 1px solid lightgray;
    padding: var(--space-xxs);
    margin: var(--space-xs);
  }
}

#template-flow {
  .item {
    border: 5px dashed var(--color-base);
  }
  & h3 {
    margin-bottom: var(--space-xxs);
  }
  & span {
    color: var(--color-sub-red);
    font-size: 0.9em;
  }
  .grid {
    align-items: baseline;
  }
}
#template-price {
  .plan-name {
    background-color: var(--color-accent);
    font-weight: bold;
    color: #fff;
    border: 8px solid #fff;
    outline: clamp(0.125rem, 0.067rem + 0.29vw, 0.313rem) solid
      var(--color-accent);
    padding: var(--space-xs);
    margin-bottom: var(--space-s);
    & p {
      text-align: right;
      margin-bottom: 0;
    }
    & span {
      font-size: var(--title-h2);
    }
  }
  & h4 {
    border-bottom: 3px dashed var(--color-accent);
    margin-bottom: var(--space-xs);
  }
  .attention {
    border-bottom: 3px dashed var(--color-sub-red);
  }
  .attention + ul li {
    margin-bottom: var(--space-xs);
  }
  & ul,
  & dl {
    margin-bottom: var(--space-s);
  }
  & ul {
    list-style: inside;
  }
  .option dd {
    text-align: right;
  }
}

/* --------------------------------------
single-sample.php（実績の詳細ページ）
----------------------------------------*/
#single-sample {
  .title {
    text-align: left;
    & span {
      border: none;
    }
  }
  .title::before {
    content: "■";
    color: var(--color-accent);
  }
  & a {
    color: var(--color-main);
  }
  & p {
    margin-bottom: var(--space-s);
  }
  & h2 {
    border-bottom: 3px solid var(--color-accent);
    margin-bottom: var(--space-xs);
  }
  & td {
    border: none;
    border-bottom: 3px dashed lightgray;
  }
  & tr td:last-child {
    text-align: right;
  }
  & tr td:last-child::after {
    content: " 円";
  }
  .wp-block-table tfoot {
    border-top: 3px solid rgb(165, 164, 164);
  }
  .wp-block-list {
    list-style: inside inside;
    margin-bottom: var(--space-xs);
  }
  .wp-post-image {
    max-width: 100%;
    height: auto;
    display: block;
    margin-bottom: var(--space-xs);
    box-shadow: 8px 6px 12px lightgray;
  }
}
